<?php

$html = stripslashes( get_option('niteoCS_body', '') );
$wpautop = get_option('niteoCS_wpautop', '1');

if ( isset($GLOBALS['wp_embed']) ) {
    $html = $GLOBALS['wp_embed']->autoembed( $html );
}

$html = $wpautop == "1" ? wpautop( do_shortcode( $html ) ) : do_shortcode( $html );